KOPANO-MONITOR(8)

NAME
kopano-monitor - Start the Kopano monitor.

SYNOPSIS

kopano-monitor [OPTION...] [SERVERNAME]

DESCRIPTION

The monitor checks user mailbox sizes. When the quota is reached the monitor sends a quota email. When started, the program will keep running.

The defaults can be overwritten in the config file.

The default settings of the monitor program are defined in kopano-monitor.cfg(5).

OPTIONS

Various options are possible. None of these options are required.

--config, -c monitor.cfg
    Specify the location of the monitor.cfg file. If the monitor.cfg file is not specified, the monitor will try to load /etc/kopano/monitor.cfg. If that file is not present, it will continue using its default settings.

    Default: /etc/kopano/monitor.cfg

--dump-config
    Displays the values of gateway.cfg configuration parameters and the implied defaults.

--host, -h path
    Connect to the storage server through path, e.g. file:///path/to/socket or https://a.example:237/.

    Default: file:///var/run/kopano/server.sock

SIGNALS

The following signals can be sent to the kopano-monitor process:

  HUP

When the HUP signal is received, some options from the configuration file are reloaded. The reloadable options are listed in the kopano-monitor.cfg(5) manual page.

Also, when using log_method = file, the logfile will be closed and a new logfile will be opened. You can use this signal in your logrotate system.

  TERM

To gracefully let the service exit, the normal TERM signal is used.

SEE ALSO

kopano-monitor.cfg(5), kopano-server(8)